Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.autofavourite
Class AutoFavouriteBuildCompleteAction

    java.lang.Object
      com.atlassian.bamboo.autofavourite.AutoFavouriteBuildCompleteAction

All Implemented Interfaces:
  CustomBuildCompleteAction

    public class AutoFavouriteBuildCompleteAction

extends Object
implements CustomBuildCompleteAction

Field Summary
`static String` | `AUTO_FAVOURITE_KEY`
`static String` | `AUTO_FAVOURITE_PROPERTY`

Constructor Summary
`AutoFavouriteBuildCompleteAction()`

Method Summary
`void` | `run(Build build, BuildResults buildResult)`
`void` | `setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setLabelManager(LabelManager labelManager)`
`ErrorCollection` | `validate(BuildConfiguration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_FAVOURITE_KEY

    public static final String AUTO_FAVOURITE_KEY

See Also:
  Constant Field Values

### AUTO_FAVOURITE_PROPERTY

    public static final String AUTO_FAVOURITE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### AutoFavouriteBuildCompleteAction

    public AutoFavouriteBuildCompleteAction()

Method Detail

### run

    public void run(Build build,
                    BuildResults buildResult)

  Specified by:
    `run` in interface `CustomBuildCompleteAction`

### validate

    public ErrorCollection validate(BuildConfiguration config)

  Specified by:
    `validate` in interface `CustomBuildCompleteAction`

### setLabelManager

    public void setLabelManager(LabelManager labelManager)

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

### setAdministrationConfiguration

    public void setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.